# This macro is needed at the start for building on EL6
%{?nodejs_find_provides_and_requires}

%global enable_tests 0

%global barename co

Name:               nodejs-co
Version:            4.5.1
Release:            3%{?dist}
Summary:            Generator async flow control goodness

Group:              Development/Libraries
License:            MIT
URL:                https://www.npmjs.org/package/co
Source0:            http://registry.npmjs.org/%{barename}/-/%{barename}-%{version}.tgz
BuildArch:          noarch
%if 0%{?fedora} >= 19
ExclusiveArch:      %{nodejs_arches} noarch
%else
ExclusiveArch:      %{ix86} x86_64 %{arm} noarch
%endif

BuildRequires:      nodejs-packaging >= 6

%if 0%{?enable_tests}
BuildRequires:      npm(q)
BuildRequires:      npm(matcha)
BuildRequires:      npm(thunkify)
BuildRequires:      npm(should)
BuildRequires:      npm(request)
BuildRequires:      npm(mocha)
%endif

%description
Generator based flow-control goodness for nodejs and the browser, using
thunks _or_ promises, letting you write non-blocking code in a nice-ish
way.

%prep
%setup -q -n package
# we don't have node engine > 0.10.0 and we badly need
# this fixed to make sure other packages build fine
sed -i 's/0.12.0/0.10.0/g' package.json

# Remove bundled node_modules if there are any..
rm -rf node_modules/

%nodejs_fixdep --caret

%build
%nodejs_symlink_deps --build

%install
mkdir -p %{buildroot}%{nodejs_sitelib}/co
cp -pr package.json index.js \
    %{buildroot}%{nodejs_sitelib}/co

%nodejs_symlink_deps


%check
%if 0%{?enable_tests}
%nodejs_symlink_deps --check
make test
%endif


%files
%doc Readme.md
%{nodejs_sitelib}/co/

%changelog
* Sat Jul 25 2015 Parag Nemade <pnemade AT fedoraproject DOT org> - 4.5.1-3
- fixdep npm(engine)

* Wed Jun 17 2015 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 4.5.1-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_23_Mass_Rebuild

* Wed Mar 18 2015 Ralph Bean <rbean@redhat.com> - 4.5.1-1
- new version

* Fri Feb 20 2015 Ralph Bean <rbean@redhat.com> - 4.4.0-2
- Apply fixdep on npm(engine).

* Fri Feb 20 2015 Ralph Bean <rbean@redhat.com> - 4.4.0-1
- new version

* Tue Jul 22 2014 Ralph Bean <rbean@redhat.com> - 3.0.6-1
- Initial packaging for Fedora.
